interface ContainerBox {
    set<T>(key: string, value: T): this;
    get<T>(key: string): T;
}
export interface ContainerConfigOption {
    locator: ContainerBox;
}
export declare const Configuration: (abstract new () => {}) & {
    readonly options: ContainerConfigOption;
    readonly register: <K extends "locator">(key: K, value: ContainerConfigOption[K]) => void;
};
export {};
